package com.zy.bms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;
import java.io.Serializable;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户查看手机设备权限表
 *
 * @author chenyi
 * @since 2021-07-13
 */
@Data
@NoArgsConstructor
public class UserPrivilege implements Serializable {

    private static final long serialVersionUID = 1L;

    public UserPrivilege(Integer userId, String groupId) {
        this.userId = userId;
        this.groupId = groupId;
    }

    @TableId(type = IdType.INPUT)
    private Integer id;

    /**
     * 用户ID
     */
    private Integer userId;

    /**
     * 设备组ID
     */
    private String groupId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
